> For the complete documentation index, see [llms.txt](https://docs.goplugin.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.goplugin.co/plugin-1.0-installations-deprecated/how-to-install-plugin-1.0-node/modular-method-deployment-recommended-approach.md).

# Modular Method Deployment (Recommended Approach)

{% hint style="info" %}
Read through the README.md for clear instructions - [Click here](https://github.com/GoPlugin/plugin-deployment/blob/main/docs/node_autosetup.md)
{% endhint %}

A special thanks to the contributor @inv4fee2020 (discord id) for the great work & thanks to all the community members for the feedback to improvise the same.

Step 1 - Logon as root to your new VPS

Due to the various experiences across different VPS hosting platforms, let's update the system & add in base packages before proceeding;

```
  sudo apt update -y && sudo apt upgrade -y && sudo apt install -y git nano curl && sudo apt autoremove -y
```

Step 2 - Create a new admin user account -- Copy the below text into a local text editor on your pc/laptop e.g. notepad -- Change '**my\_new\_user**' & '**my\_new\_password**' for your values and paste the code to the terminal

```
 sudo groupadd my_new_user
 sudo useradd -p $(openssl passwd -6 my_new_password) my_new_user -m -s /bin/bash -g my_new_user -G sudo
```

Step 3 - Now open a new terminal session to your VPS and login with your new admin user account and complete the rest of the steps.

Step 4 - Once logged on as your new admin user - run the following commands;

\
\- Now we clone down the install scripts repository

```
 cd $HOME
 git clone https://github.com/GoPlugin/plugin-deployment
 cd plugin-deployment
 chmod +x *.sh
```

After you git cloned Follow the node\_autosetu&#x70;**.**&#x6D;d **instructions further**

{% embed url="<https://github.com/GoPlugin/plugin-deployment/blob/main/docs/node_autosetup.md>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.goplugin.co/plugin-1.0-installations-deprecated/how-to-install-plugin-1.0-node/modular-method-deployment-recommended-approach.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
